Bug 1763692 - CVE-2019-17666 kernel: rtl_p2p_noa_ie in drivers/net/wireless/realtek/rtlwifi/ps.c in the Linux kernel lacks a certain upper-bound check, leading to a buffer overflow [fedora-all]
Summary: CVE-2019-17666 kernel: rtl_p2p_noa_ie in drivers/net/wireless/realtek/rtlwifi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F31FinalFreezeException CVE-2019-17666
TreeView+ depends on / blocked
 
Reported: 2019-10-21 11:16 UTC by Marian Rehak
Modified: 2019-11-11 20:52 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-11 20:52:24 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2019-10-21 11:16:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Marian Rehak 2019-10-21 11:16:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1763690,1763692

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Adam Williamson 2019-10-21 18:15:59 UTC
proposing this as a Final FE, we should at least consider pulling a fix into the next F31 RC, I guess. RH rates it 'moderate' so it doesn't meet the blocker criterion.

Comment 3 Geoffrey Marr 2019-10-21 19:32:25 UTC
+1 FE

Comment 4 Geoffrey Marr 2019-10-21 19:36:55 UTC
From sgallagh, per conversation on #fedora-qa:

+1 FE assuming it's a single patch.

Comment 5 Mohan Boddu 2019-10-21 19:42:00 UTC
+1 FE

Comment 6 Zbigniew Jędrzejewski-Szmek 2019-10-21 20:04:40 UTC
https://lkml.org/lkml/2019/10/16/1226 seems to be the patch.

+1 FE

Comment 7 Peter Robinson 2019-10-21 20:22:36 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #6)
> https://lkml.org/lkml/2019/10/16/1226 seems to be the patch.
> 
> +1 FE

There's a v2 https://www.spinics.net/lists/linux-wireless/msg191219.html but as Laura has done the upstream patch and is doing the kernel-5.3.7-301.fc31 build I'm sure she's aware of the latest/best patch.

Comment 8 Adam Williamson 2019-10-21 21:52:15 UTC
That's +5, so setting accepted.

Comment 9 Fedora Update System 2019-10-22 05:45:25 UTC
FEDORA-2019-6a67ff8793 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a67ff8793

Comment 10 Fedora Update System 2019-10-23 15:43:53 UTC
kernel-5.3.7-301.fc31, kernel-tools-5.3.7-300.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a67ff8793

Comment 11 Fedora Update System 2019-10-24 17:09:47 UTC
kernel-5.3.7-301.fc31, kernel-tools-5.3.7-300.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.